:: Copyright 2007-2008, by the California Institute of Technology.
:: ALL RIGHTS RESERVED. United States Government Sponsorship acknowledged.
:: Any commercial use must be negotiated with the Office of Technology Transfer
:: at the California Institute of Technology.
::
:: This software is subject to U. S. export control laws and regulations
:: (22 C.F.R. 120-130 and 15 C.F.R. 730-774). To the extent that the software
:: is subject to U.S. export control laws and regulations, the recipient has
:: the responsibility to obtain export licenses or other export authority as
:: may be required before exporting such information to foreign countries or
:: providing access to foreign nationals.
::
:: $Id: LTDTool.bat 3183 2008-02-25 22:55:15Z shardman $

:: Windows Batch file that allows easy execution of the Label Template Design 
:: Tool (LTDTool) without the need to set the CLASSPATH or having to type 
:: in that long java command (java gov.nasa.pds.ltdt.LTDTool ...).

@echo off

set BIN_DIR=%~dp0

:: Expects the batch file and the LTDTool jar file to be located in the same
:: place.

if exist "%BIN_DIR%\ltdtool-*-app.jar" (
set LTD_JAR=%BIN_DIR%\ltdtool-*-app.jar
) else (
echo Cannot find LTDTool jar file in %BIN_DIR%
goto END
)

:: Finds the jar file in BIN_DIR and sets it to LTD_JAR
for %%i in ("%BIN_DIR%"\ltdtool-*-app.jar) do set LTD_JAR=%%i

:: Executes LTDTool via the executable jar file
:: The special variable '%*' allows the arguments
:: to be passed into the executable.

java -jar "%LTD_JAR%" %*

:END
